Data Backup and Recovery

SnapMirror compatibility with 9.14

Jindrich_Redl
580 Views

Hello,

have an old FAS3250 running ONTAP 9.1P20 - both of these (HW and ONTAP) are long past any support.

It was used for secondary backups using SnapMirror (XDP, Async) from the primary system running newer ONTAP (started with 9.8 and was updated over the years to 9.13.1P7).

Few days ago I have updated the primary system to 9.14.1P2 and since then the SnapMirror does not work.

I cannot update the existing relationships and cannot initialize new ones.

 

The error is reported on the 9.1 system

smc.snapmir.update.fail: Snapmirror update from source volume 'xxx' to destination volume 'yyy' failed with error 'Failed to create Snapshot copy snapmirror.zzz.2024-04-21_090500 on volume xxx.(Failed to start operation on source.)'. Relationship UUID 'zzz'.

 

There is no error on the 9.14 system (nothing in the event log, did not find anything in the other logs (maybe not looking properly).

Weird thing is the "snapmirror list-destinations" on the 9.14 does not return anything (the old snapmirror snapshots exists in the volumes).

The cluster and vserver peer relationships seems OK (available, healthy).

 

I can replicate from the 9.14 system to another system with ONTAP 9.13.1P7 (tried just for the test).

 

Found KB article and documentation page that states this is no longer supported (since a long time) - but according to that information it should not work even before.

 
 
Funny thing is all the relationships (even between 9.14 and 9.13) state
Relationship Capability: 8.2 and above
 
Does anybody know what changed in 9.14 and if there is any workaround?
(reverting the system to 9.13 would be really painful).
 
Thanks
Harry
 

 

 

4 REPLIES 4

Sergey_Osipov
532 Views

basically you already found all the necessary information

snapmirror is not supported between such versions

 

Jindrich_Redl
530 Views

Yes - I know, but I am such a curious person .....

I understand that one can say "when it worked between 9.13 and 9.1 was just a luck - it was not supported either - see the table".

But what could be the technical reason? I would like to see an error message on the new system saying "cannot talk to you as you do not have X" (common cipher, low ontap version ...). I feel it has to be somewhere - failing an operation without a trace is nothing I would expect from ONTAP.

 

I suppose I took the message "unified replication is supported between any version of ONTAP starting 8.2" when the XDP was introduced (long time ago - I admit) too literally.

 

 

ansley_tj
421 Views

@Jindrich_Redl There is always new features being added and old features being taken out.  The biggest is that we no longer support DP relationships...which could be the reason. Was your relationship a DR (DP) or Vault (XDP) relationship?

Thanks
Tony Ansley
I am a NetApp employee.

Jindrich_Redl
413 Views

thank for the answer - we are talking about XDP relationship

Public